# Uses of Interface
org.springframework.web.client.RestClient

Packages that use RestClient
Package
Description
org.springframework.web.client
Core package of the client-side web support.
org.springframework.web.client.support
Classes supporting the `org.springframework.web.client` package.

## Uses of RestClient in org.springframework.web.client

Methods in org.springframework.web.client that return RestClient
Modifier and Type
Method
Description
`RestClient`
RestClient.Builder.`build()`
Build the `RestClient` instance.
`static RestClient`
RestClient.`create()`
Create a new `RestClient`.
`static RestClient`
RestClient.`create(String baseUrl)`
Variant of `create()` that accepts a default base URL.
`static RestClient`
RestClient.`create(URI baseUrl)`
Variant of `create()` that accepts a default base `URI`.
`static RestClient`
RestClient.`create(RestTemplate restTemplate)`
Create a new `RestClient` based on the configuration of the given `RestTemplate`.

## Uses of RestClient in org.springframework.web.client.support

Methods in org.springframework.web.client.support with parameters of type RestClient
Modifier and Type
Method
Description
`static RestClientAdapter`
RestClientAdapter.`create(RestClient restClient)`
Create a `RestClientAdapter` for the given `RestClient`.